[@celo/contractkit](../README.md) › [Globals](../globals.md) › ["wrappers/Attestations"](../modules/_wrappers_attestations_.md) › [AttestationServiceStatusResponse](_wrappers_attestations_.attestationservicestatusresponse.md)

# Interface: AttestationServiceStatusResponse

## Hierarchy

* **AttestationServiceStatusResponse**

## Index

### Properties

* [address](_wrappers_attestations_.attestationservicestatusresponse.md#address)
* [affiliation](_wrappers_attestations_.attestationservicestatusresponse.md#affiliation)
* [ageOfLatestBlock](_wrappers_attestations_.attestationservicestatusresponse.md#ageoflatestblock)
* [attestationServiceURL](_wrappers_attestations_.attestationservicestatusresponse.md#attestationserviceurl)
* [attestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#attestationsigner)
* [blacklistedRegionCodes](_wrappers_attestations_.attestationservicestatusresponse.md#blacklistedregioncodes)
* [blsPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#blspublickey)
* [ecdsaPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#ecdsapublickey)
* [error](_wrappers_attestations_.attestationservicestatusresponse.md#error)
* [hasAttestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#hasattestationsigner)
* [maxDeliveryAttempts](_wrappers_attestations_.attestationservicestatusresponse.md#maxdeliveryattempts)
* [maxRerequestMins](_wrappers_attestations_.attestationservicestatusresponse.md#maxrerequestmins)
* [metadataURL](_wrappers_attestations_.attestationservicestatusresponse.md#metadataurl)
* [name](_wrappers_attestations_.attestationservicestatusresponse.md#name)
* [okStatus](_wrappers_attestations_.attestationservicestatusresponse.md#okstatus)
* [rightAccount](_wrappers_attestations_.attestationservicestatusresponse.md#rightaccount)
* [score](_wrappers_attestations_.attestationservicestatusresponse.md#score)
* [signer](_wrappers_attestations_.attestationservicestatusresponse.md#signer)
* [smsProviders](_wrappers_attestations_.attestationservicestatusresponse.md#smsproviders)
* [smsProvidersRandomized](_wrappers_attestations_.attestationservicestatusresponse.md#smsprovidersrandomized)
* [state](_wrappers_attestations_.attestationservicestatusresponse.md#state)
* [twilioVerifySidProvided](_wrappers_attestations_.attestationservicestatusresponse.md#twilioverifysidprovided)
* [version](_wrappers_attestations_.attestationservicestatusresponse.md#version)

## Properties

###  address

• **address**: *Address*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:876](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L876)*

___

###  affiliation

• **affiliation**: *string | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:879](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L879)*

___

###  ageOfLatestBlock

• **ageOfLatestBlock**: *number | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:893](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L893)*

___

###  attestationServiceURL

• **attestationServiceURL**: *string | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:883](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L883)*

___

###  attestationSigner

• **attestationSigner**: *string*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:882](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L882)*

___

###  blacklistedRegionCodes

• **blacklistedRegionCodes**: *string[] | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:888](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L888)*

___

###  blsPublicKey

• **blsPublicKey**: *string*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:878](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L878)*

___

###  ecdsaPublicKey

• **ecdsaPublicKey**: *string*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:877](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L877)*

___

###  error

• **error**: *null | [Error](../classes/_address_registry_.unregisterederror.md#static-error)*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:886](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L886)*

___

###  hasAttestationSigner

• **hasAttestationSigner**: *boolean*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:881](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L881)*

___

###  maxDeliveryAttempts

• **maxDeliveryAttempts**: *number | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:895](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L895)*

___

###  maxRerequestMins

• **maxRerequestMins**: *number | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:896](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L896)*

___

###  metadataURL

• **metadataURL**: *string | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:884](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L884)*

___

###  name

• **name**: *string*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:875](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L875)*

___

###  okStatus

• **okStatus**: *boolean*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:885](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L885)*

___

###  rightAccount

• **rightAccount**: *boolean*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:889](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L889)*

___

###  score

• **score**: *BigNumber*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:880](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L880)*

___

###  signer

• **signer**: *string*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:890](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L890)*

___

###  smsProviders

• **smsProviders**: *string[]*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:887](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L887)*

___

###  smsProvidersRandomized

• **smsProvidersRandomized**: *boolean | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:894](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L894)*

___

###  state

• **state**: *[AttestationServiceStatusState](../enums/_wrappers_attestations_.attestationservicestatusstate.md)*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:891](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L891)*

___

###  twilioVerifySidProvided

• **twilioVerifySidProvided**: *boolean | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:897](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L897)*

___

###  version

• **version**: *string | null*

*Defined in [packages/sdk/contractkit/src/wrappers/Attestations.ts:892](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L892)*
